## com.ibm.lab.soln.jdt.extras
Class MakeIMemberPrivateAction

    java.lang.Object
      |
      +--com.ibm.lab.soln.jdt.extras.ChangeIMemberFlagAction
            |
            +--com.ibm.lab.soln.jdt.extras.MakeIMemberPrivateAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

public class MakeIMemberPrivateAction
extends ChangeIMemberFlagAction

Action to add `private` modifier to `IMember`.

Field Summary

Fields inherited from class com.ibm.lab.soln.jdt.extras.ChangeIMemberFlagAction
`isChecked`

Constructor Summary
`MakeIMemberPrivateAction()`

Method Summary
`protected boolean` | `isChecked(org.eclipse.jface.action.IAction action, org.eclipse.jdt.core.IMember member)` Return `true` if the given `IMember` conforms to the action modifier; subclasses must override.
`protected boolean` | `performAction(org.eclipse.jface.action.IAction action, org.eclipse.jdt.core.IMember member)` Perform the action against the given `IMember`; subclasses must override.

Methods inherited from class com.ibm.lab.soln.jdt.extras.ChangeIMemberFlagAction
`canPerformAction, deleteFlag, insertFlag, replaceFlag, run, selectionChanged, setActivePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakeIMemberPrivateAction

    public MakeIMemberPrivateAction()

Method Detail

### isChecked

    protected boolean isChecked(org.eclipse.jface.action.IAction action,
                                org.eclipse.jdt.core.IMember member)

  Description copied from class: `ChangeIMemberFlagAction`
  Return `true` if the given `IMember` conforms to the action modifier; subclasses must override.

  Specified by:
    `isChecked` in class `ChangeIMemberFlagAction`
  See Also:
    `ChangeIMemberFlagAction.isChecked(IAction, IMember)`

### performAction

    protected boolean performAction(org.eclipse.jface.action.IAction action,
                                    org.eclipse.jdt.core.IMember member)

  Description copied from class: `ChangeIMemberFlagAction`
  Perform the action against the given `IMember`; subclasses must override.

  Specified by:
    `performAction` in class `ChangeIMemberFlagAction`
  See Also:
    `ChangeIMemberFlagAction.performAction(IAction, IMember)`